"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRandomName = void 0;
const wordsets_1 = require("./wordsets");
function generateRandomName(options) {
    if (options == undefined) {
        options = getDefaultOptions();
    }
    const words = new Array();
    options.forEach(option => {
        const wordset = buildWordSet(option);
        words.push(getRandomString(wordset));
    });
    return words.join(' ');
}
exports.generateRandomName = generateRandomName;
function getDefaultOptions() {
    return [
        { includeAdjectives: true, includeColors: true },
        { includeAnimals: true, includeMythicalAnimals: true }
    ];
}
function buildWordSet(option) {
    const wordset = new Array();
    if (option.includeAdjectives) {
        wordset.push(...wordsets_1.adjectives);
    }
    if (option.includeColors) {
        wordset.push(...wordsets_1.colors);
    }
    if (option.includeAnimals) {
        wordset.push(...wordsets_1.animals);
    }
    if (option.includeMythicalAnimals) {
        wordset.push(...wordsets_1.mythicalAnimals);
    }
    if (option.customWordSet != undefined) {
        wordset.push(...option.customWordSet);
    }
    return wordset;
}
function getRandomString(wordset) {
    return wordset[Math.floor(Math.random() * wordset.length)];
}
